package com.eladit.hb9eik.blueduo;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.graphics.Color;
import android.graphics.Typeface;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.MotionEvent;
import android.view.View;
import android.widget.AbsoluteLayout;
import android.widget.Button;
import android.widget.TextView;

import java.util.ArrayList;

public class myLabel implements View.OnTouchListener{
    static private int maxrow=10;
    static private int maxcol=80;
    private int top;
    private int left;
    private int height;
    private int width;
    private MainActivity app;
    private String name;
    private ArrayList<myButton> numeri;
    private ArrayList<myButton> normali;
    private TextView tw;

    myLabel(Context context, AbsoluteLayout al, int screenHeight, int screenWidth, int id, String name, int row, int col, int cols, int color, int bkground, int gravity, int size, MainActivity app, Boolean enabled ){
        tw = new TextView(context);
        tw.setId( id );
        tw.setText( name );
        tw.setTextSize(TypedValue.COMPLEX_UNIT_PX,size*1.5f*screenWidth/800);
        tw.setTypeface(null,Typeface.BOLD);
        tw.setTextColor(color);
        tw.setGravity(gravity);
        tw.setPadding(2,0,2,0);
        tw.setBackgroundColor(bkground);
        width=screenWidth*cols/maxcol+2;
        height=screenHeight/maxrow;
        left=screenWidth*col/maxcol-1;
        top=screenHeight*row/maxrow;
        al.addView(tw, new AbsoluteLayout.LayoutParams(width, height, left, top));
        al.refreshDrawableState();
        this.app=app;
        this.name=name;
        tw.setOnTouchListener(this);
        if( enabled ) {
            tw.setVisibility(View.VISIBLE);
        } else {
            tw.setVisibility(View.INVISIBLE);
        }
    }
    public void setVisibility( int visibility ){
        tw.setVisibility( visibility );
    }
    public void setText( String text ){
        tw.setText( text );
    }
    public boolean onTouch(View v, MotionEvent event) {
        switch (event.getAction()) {
            case MotionEvent.ACTION_DOWN:
                if( name.equals(" ELAD") ) {
                    DataBox(app, "Credits", "BlueDUO ver 0.22 2018-03-31\nDeveloped by HB9EIK for ELAD\nwww.eladit.com");
                } else if( name.equals("Freq.") ) {
                    if ( app.getPtt() <=0 ){
                        app.setNewFreq("");
                        app.getNewFreqLabel().setText("New frequency: ");
                        app.getFreqLabel().setVisibility(View.INVISIBLE);
                        app.getNewFreqLabel().setVisibility(View.VISIBLE);
                        myButton bt;
                        numeri = app.getNumeri();
                        normali = app.getNormali();
                        for (int j = 0; j < numeri.size(); j++) {
                            bt = numeri.get(j);
                            bt.setVisibility(View.VISIBLE);
                        }
                        for (int j = 0; j < normali.size(); j++) {
                            bt = normali.get(j);
                            bt.setVisibility(View.INVISIBLE);
                        }
                    }
                }
        }
        return false;
    }
    public void DataBox(Context context, String title, String message ){
        new AlertDialog.Builder(context)
                .setTitle( title )
                .setMessage( message + "\nPress OK to dismiss." )
                .setPositiveButton("OK", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface arg0, int arg1) { }
                }).show();
    }

}
