package com.eladit.hb9eik.blueduo;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.view.View;

public class plot  extends View {

    private int height, width;
    private int s,d;
    private Paint paint;

    public plot(Context context, int height, int width) {
        super(context);
        this.height=height;
        this.width=width;
        s=0;
        d=0;
        paint = new Paint();
    }
    protected void onDraw(Canvas canvas) {
        paint.setStrokeWidth(1);
        canvas.drawARGB(255, 0, 0, 0);

        for(int j = 0;j<height/2;j++) {
            paint.setColor(Color.argb(255, 0x85, 0x85, 0x85));
            canvas.drawLine(0,j,width,j,paint);
            paint.setColor(Color.GREEN);
            canvas.drawLine(0,j,width*s/12,j,paint);
            paint.setColor(Color.RED);
            if(d>60) d=60;
            canvas.drawLine(width*3/4,j,width*3/4+width*d/240,j,paint);
        }
        for(int j = 0;j<12;j++) {
			paint.setTextAlign(Paint.Align.CENTER);
			paint.setTextSize(12.0f);
            //assi verticali:
            paint.setColor(Color.YELLOW);
            if((j%2)==1) {
                canvas.drawLine(width * j / 12, 0, width * j / 12, height / 2 + 4, paint);
                String temp;
                if (j <= 9) {
                    temp = Integer.toString(j);
                } else {
                    temp = "+" + Integer.toString((j - 9) * 20);
                }
                canvas.drawText(temp, width * j / 12, height / 2 + 16, paint);
            } else {
                canvas.drawLine(width * j / 12, 0, width * j / 12, height / 2, paint);
            }
        }
        canvas.drawLine(0,0,width,0,paint);
        canvas.drawLine(0,height/2-1,width,height/2-1,paint);
        canvas.drawLine(width-1,0,width-1,height/2-1,paint);
    }
    public void NewData( int s, int d ) {
        this.s=s;
        this.d=d;
        invalidate();
    }

}
